[Previous] [Contents]

## `SG::Vect2Perm` -- computes a canonical permutation from a vector

#### Call(s)

`SG::Vect2Perm(l)`

#### Parameters

`l` | - | any list of positive integers

#### Introduction

The `SG::Vect2Perm` function calculates a canonical permutation from the list `l`, having as cycle type, the reordering of `l`.

Let `l=[3, 2, 4]`, ``SG::Vect2Perm`(l)` gives a permutation in S3 x S2 x S4 which is a direct product of cycles of length 3, 2, 4.

#### Example 1

    >> muEC::SG::Vect2Perm( [3,1,4,1] );

                            [3, 1, 2, 4, 8, 5, 6, 7, 9]

#### Related Functions

`Cycle2Perm`, `Perm2Cycle`, `Perm2CycleType`

[Previous] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package